with GNATCOM.Dispinterface;

package MSHTML.IHTMLStyleSheetRuleApplied_Interface is

   type IHTMLStyleSheetRuleApplied_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IHTMLStyleSheetRuleApplied_Type);

   function Pointer (This : IHTMLStyleSheetRuleApplied_Type)
     return Pointer_To_IHTMLStyleSheetRuleApplied;

   procedure Attach (This    : in out IHTMLStyleSheetRuleApplied_Type;
                     Pointer : in     Pointer_To_IHTMLStyleSheetRuleApplied);

   function Get_msSpecificity
     (This : IHTMLStyleSheetRuleApplied_Type)
     return Interfaces.C.long;

   function msGetSpecificity
     (This  : IHTMLStyleSheetRuleApplied_Type;
      index : Interfaces.C.long)
     return Interfaces.C.long;

end MSHTML.IHTMLStyleSheetRuleApplied_Interface;

